Skip to main content
`Ctrl`+`K`

# slepc4py.SLEPc.FN.CombineType

class slepc4py.SLEPc.FN.CombineType

  Bases: `object`

  FN type of combination of child functions.

  - `ADD`: Addition f(x) = f1(x)+f2(x)

  - `MULTIPLY`: Multiplication f(x) = f1(x)*f2(x)

  - `DIVIDE`: Division f(x) = f1(x)/f2(x)

  - `COMPOSE`: Composition f(x) = f2(f1(x))

  Attributes Summary

  `ADD` | Constant `ADD` of type `int`
  `COMPOSE` | Constant `COMPOSE` of type `int`
  `DIVIDE` | Constant `DIVIDE` of type `int`
  `MULTIPLY` | Constant `MULTIPLY` of type `int`

  Attributes Documentation

  ADD: int = ADD

    Constant `ADD` of type `int`

  COMPOSE: int = COMPOSE

    Constant `COMPOSE` of type `int`

  DIVIDE: int = DIVIDE

    Constant `DIVIDE` of type `int`

  MULTIPLY: int = MULTIPLY

    Constant `MULTIPLY` of type `int`